OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.BlendFuncExtended

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBBlendFuncExtended :: MonadIO m => m Bool
- gl_ARB_blend_func_extended :: Bool
- gl_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum
- gl_ONE_MINUS_SRC1_ALPHA :: GLenum
- gl_ONE_MINUS_SRC1_COLOR :: GLenum
- gl_SRC1_ALPHA :: GLenum
- gl_SRC1_COLOR :: GLenum
- glBindFragDataLocationIndexed :: MonadIO m => GLuint -> GLuint -> GLuint -> Ptr GLchar -> m ()
- glGetFragDataIndex :: MonadIO m => GLuint -> Ptr GLchar -> m GLint

# Extension Support

glGetARBBlendFuncExtended :: MonadIO m => m Bool

Is the ARB_blend_func_extended extension supported?

gl_ARB_blend_func_extended :: Bool

Is the ARB_blend_func_extended extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBBlendFuncExtended` in those cases instead.

# Enums

gl_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum

gl_ONE_MINUS_SRC1_ALPHA :: GLenum

gl_ONE_MINUS_SRC1_COLOR :: GLenum

gl_SRC1_ALPHA :: GLenum

gl_SRC1_COLOR :: GLenum

# Functions

glBindFragDataLocationIndexed

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `colorNumber`.
-> GLuint | `index`.
-> Ptr GLchar | `name`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetFragDataIndex

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual pages for OpenGL 3.x or OpenGL 4.x.